Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 1335)
@@ -1,95 +1,95 @@
-package org.txm.searchengine.cqp.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-
-/**
- * CQP Search engine core messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class CQPSearchEngineCoreMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.searchengine.cqp.core.messages.messages"; //$NON-NLS-1$
-
-	public static String Summary_13;
-	public static String Summary_15;
-	public static String Summary_16;
-	public static String Subcorpus_3;
-
-	public static String CONNECTING_CQI_CLIENT;
-	public static String CQI_CLIENT_CONNECTED;
-	public static String CqiClient_0;
-	public static String CqiClient_32;
-	public static String CqiClient_33;
-	public static String CwbEncode_0;
-	public static String CwbEncode_21;
-	public static String CwbEncode_23;
-	public static String CwbEncode_25;
-	public static String CwbEncode_27;
-	public static String CwbEncode_29;
-	public static String CwbEncode_32;
-	public static String CwbProcess_1;
-	public static String CwbProcess_3;
-	public static String CwbProcess_4;
-	public static String CwbProcess_5;
-
-	public static String MemCqiClient_0;
-	public static String MemCqiClient_10;
-	public static String MemCqiClient_11;
-	public static String MemCqiClient_1;
-	public static String MemCqiClient_2;
-	public static String MemCqiClient_3;
-	public static String MemCqiClient_5;
-	public static String MemCqiClient_7;
-	public static String MemCqiClient_9;
-	public static String NetCqiClient_1;
-	public static String NetCqiClient_3;
-	public static String NetCqiClient_5;
-	public static String NetCqiClient_97;
-	public static String NetCqiServer_0;
-	public static String NetCqiServer_1;
-	public static String AbstractCqiClient_2;	
-	public static String BuildCwbEncodeArgs_0;
-	
-	public static String PatchCwbRegistry_13;
-	public static String PatchCwbRegistry_16;
-	public static String PatchCwbRegistry_23;
-	public static String PatchCwbRegistry_27;
-	public static String PatchCwbRegistry_28;
-	public static String PatchCwbRegistry_29;
-	public static String PatchCwbRegistry_2;
-	public static String PatchCwbRegistry_34;
-
-	public static String PatchCwbRegistry_3;
-	public static String PatchCwbRegistry_4;
-	
-	public static String READ_2D_INT_ARRAY_FROM_CQI_SERVER;
-	public static String READ_BOOLEAN_FROM_CQI_SERVER;
-	public static String READ_BYTE_FROM_CQI_SERVER;
-	public static String READ_INT_ARRAY_FROM_CQI_SERVER;
-	public static String READ_INTEGER_FROM_CQI_SERVER;
-	public static String READ_STRING_ARRAY_FROM_CQI_SERVER;
-	public static String READ_STRING_FROM_CQI_SERVER;
-	public static String READING_2D_INT_ARRAY_FROM_CQI_SERVER;
-	public static String READING_BOOLEAN_FROM_CQI_SERVER;
-	public static String READING_HEADER_FROM_CQI_SERVER;
-	public static String READING_INT_ARRAY_FROM_CQI_SERVER;
-	public static String READING_INTEGER_FROM_CQI_SERVER;
-	public static String READING_STRING_ARRAY_FROM_CQI_SERVER;
-	public static String READING_STRING_FROM_CQI_SERVER;
-
-	
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, CQPSearchEngineCoreMessages.class);
-	}
-
-	private CQPSearchEngineCoreMessages() {
-	}
-	
-}
+package org.txm.searchengine.cqp.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * CQP Search engine core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class CQPSearchEngineCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.searchengine.cqp.core.messages.messages"; //$NON-NLS-1$
+
+	public static String errorDDotTextP0IsNull; 
+	public static String errorDDotEditionDefaultIsNull; 
+	public static String errorDDotTextidsP0AndWordidsP1; 
+	public static String p0IsNotAValidCQPIDForASubcorpusItMustBeAnUppercaseCharacterFollowedByLowercaseCharacters; 
+
+	public static String connectingToTheSearchEngineWithTheFollowingParametersDDotP0DDotP1AtP2P3; 
+	public static String connectedToTheSearchEngine; 
+	public static String gettingLastCQPError; 
+	public static String searchEngineLaunched; 
+	public static String failedToConnectToSearchEngine; 
+	public static String theDirectoryDoesNotExistsDDot; 
+	public static String theBinaryDirectoryDoesNotExistsDDot; 
+	public static String theRegistryDirectoryDoesNotExistsDDot; 
+	public static String theCorporaDirectoryDoesNotExistsDDot; 
+	public static String processingCorpus; 
+	public static String theDataDirectoryDoesNotExistsDDot; 
+	public static String fixingRegistryFileP0WithP1; 
+	public static String startingProcessWithCommandDDot; 
+	public static String stoppingProcessDDot; 
+	public static String processStopedDDot; 
+	public static String cantFindCQPLocationDDot; 
+
+	public static String internalCQIErrorDDot; 
+	public static String unknownCQPCodesDDotB1; 
+	public static String queryError; 
+	public static String cLErrorDDot; 
+	public static String cQPErrorDDot; 
+	public static String unknownCQPErrorDDotB1; 
+	public static String unknownCQPCQIErrorDDotB1; 
+	public static String unknownCQPCodeDDotB1; 
+	public static String b2; 
+	public static String lastCQiErrorDDot; 
+	public static String lastCQPErrorDDot; 
+	public static String couldNotReconnectToServerDDot; 
+	public static String clientdumpSubCorpussubcorpusNetCqiClientCQICONSTFIELDMATCH12DDot; 
+	public static String cqpserverStdoutDDot; 
+	public static String cqpserverStderrDDot; 
+	public static String noError; 
+	public static String theFileP0CannotBeFound; 
+	
+	public static String sourceRegistryDoesNotExistsDDot; 
+	public static String cantFindRegistryFile; 
+	public static String encodingTo; 
+	public static String dataDirectory; 
+	public static String couldNotPatchTheRegistryFile; 
+	public static String couldNotBeFoundInRegistryFile; 
+	public static String updating; 
+	public static String updatingP0CorpusLanguageToP1; 
+
+	public static String theTargetCorpusDoesntExist; 
+	public static String addingAlignmentAttributeToCorpusP0RegistryDDotP1; 
+	
+	public static String readString2DIntegerFromTheCQiServerDDotP0; 
+	public static String readBooleanFromTheCQiServerDDotP0; 
+	public static String readByteFromTheCQiServerDDotP0; 
+	public static String readIntegerArrayFromTheCQiServerDDotP0; 
+	public static String readIntegerFromTheCQiServerDDotP0; 
+	public static String readStringArrayFromTheCQiServerDDotP0; 
+	public static String readStringFromTheCQiServerDDotP0; 
+	public static String readingAnIntegerTableFromTheCQiServer; 
+	public static String readingBooleanFromTheCQiServer; 
+	public static String readingHeaderFromTheCQiServer; 
+	public static String readingIntegerArrayFromTheCQiServer; 
+	public static String readingIntegerFromTheCQiServer; 
+	public static String readingStringArrayFromTheCQiServer; 
+	public static String readingStringFromTheCQiServer; 
+
+	
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, CQPSearchEngineCoreMessages.class);
+	}
+
+	private CQPSearchEngineCoreMessages() {
+	}
+	
+}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java	(revision 1335)
@@ -174,7 +174,7 @@
 		if (wordids.length == 1 && textids.length == 1) {
 			Text text = corpus.getProject().getText(textids[0]);
 			if (text == null) {
-				Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.Summary_13, textids[0]));
+				Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.errorDDotTextP0IsNull, textids[0]));
 				return null;
 			}
 
@@ -190,14 +190,14 @@
 				}
 			}
 			if (edition == null) {
-				System.out.println(CQPSearchEngineCoreMessages.Summary_15);
+				System.out.println(CQPSearchEngineCoreMessages.errorDDotEditionDefaultIsNull);
 				return null;
 			}
 
 			node.wordid = wordids[0];
 			return edition.getPageForWordId(wordids[0]);
 		} else {
-			Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.Summary_16, Arrays.toString(textids), Arrays.toString(wordids)));
+			Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.errorDDotTextidsP0AndWordidsP1, Arrays.toString(textids), Arrays.toString(wordids)));
 			return null;
 		}
 	}
@@ -305,4 +305,4 @@
 	public String getResultype() {
 		return "Summary";
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 1335)
@@ -116,7 +116,7 @@
 	private boolean init() {
 		try {
 			if (corpus.getProject() == null) {
-				System.out.println(TXMCoreMessages.Selection_6+corpus+TXMCoreMessages.Selection_7);
+				System.out.println(TXMCoreMessages.selectionErrorDDotTheCorpus+corpus+TXMCoreMessages.hasNoBase);
 				return false;
 			}
 			metadatas = corpus.getImportMetadata();
@@ -139,12 +139,12 @@
 					try {
 						StructuralUnitProperty sup = text_su.getProperty(m.id);
 						if (sup == null) {
-							Log.warning(TXMCoreMessages.Selection_8+m.id);
+							Log.warning(TXMCoreMessages.cantFindStructuralUnitForMetadataWithIdDDot+m.id);
 							continue;
 						}
 						allProperties.add(sup);
 					} catch(Exception e) {
-						Log.severe(TXMCoreMessages.Selection_9+e);
+						Log.severe(TXMCoreMessages.errorWhileGettingMetadatasFromBaseimportMetadatasDDot+e);
 					}
 				}
 			}
@@ -221,8 +221,8 @@
 	 * @throws CqiClientException the cqi client exception
 	 */
 	public void fullDump() throws CqiClientException {
-		System.out.println(TXMCoreMessages.Selection_5);
-		System.out.println(TXMCoreMessages.Corpus_2+corpus);
+		System.out.println(TXMCoreMessages.textMetadataDDot);
+		System.out.println(TXMCoreMessages.corpusDDot+corpus);
 		System.out.println("Text query: "+query); //$NON-NLS-1$
 		System.out.println("Texts ids: "+textids); //$NON-NLS-1$
 		System.out.println("Text positions: "+Arrays.toString(positions)); //$NON-NLS-1$
@@ -446,7 +446,7 @@
 				try {
 					valuesPerMetadata.put(sup.getName(), sup.getValues());
 				} catch (CqiClientException e) {
-					System.out.println(TXMCoreMessages.Selection_26+sup.getFullName());
+					System.out.println(TXMCoreMessages.failedToGetSupValuesOf+sup.getFullName());
 					org.txm.utils.logger.Log.printStackTrace(e);
 					return valuesPerMetadata;
 				}
@@ -530,4 +530,4 @@
 	public String getResultype() {
 		return "Selection";
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiClient.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiClient.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiClient.java	(revision 1335)
@@ -61,12 +61,12 @@
 		byte b2 = ret[3];
 		//System.out.println("bytes: "+ret[0]+" "+ret[1]+" "+ret[2]+" "+ret[3]);
 		//System.out.println("b1 "+b+ " b2 "+b2);
-		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 		switch (b) {
 		case 0x00:// cf cqi.h:29
 			return CQI_PADDING;
 		case 0x01:// cf cqi.h:37
-			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				return CQI_STATUS_OK;
@@ -77,12 +77,12 @@
 			case 0x04:// cf cqi.h:42
 				return CQI_STATUS_PING_OK;
 			default:
-				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_3+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2); //$NON-NLS-2$
+				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPErrorDDotB1+b+CQPSearchEngineCoreMessages.b2+b2); //$NON-NLS-2$
 			}
 		case 0x02:// cf cqi.h:45
-			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 
-			lastError = CQPSearchEngineCoreMessages.MemCqiClient_0+" CQI_ERROR ("+b+")";
+			lastError = CQPSearchEngineCoreMessages.internalCQIErrorDDot+" CQI_ERROR ("+b+")";
 
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
@@ -94,10 +94,10 @@
 			case 0x04:// cf cqi.h:42
 				throw new CqiErrorSyntaxError();
 			default:
-				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_5+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2);
+				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPCQIErrorDDotB1+b+CQPSearchEngineCoreMessages.b2+b2);
 			}
 		case 0x03:// cf cqi.h:53
-			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				return CQI_DATA_BYTE;
@@ -122,12 +122,12 @@
 			case 0x0B:// cf cqi.h:42
 				return CQI_DATA_INT_TABLE;
 			default:
-				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_7+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2);
+				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPCodeDDotB1+b+CQPSearchEngineCoreMessages.b2+b2);
 			}
 		case 0x04:// cf cqi.h:67
 
-			lastError = CQPSearchEngineCoreMessages.MemCqiClient_1+"CL_ERROR ("+b+")";
-			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			lastError = CQPSearchEngineCoreMessages.cLErrorDDot+"CL_ERROR ("+b+")";
+			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				lastError += ": NoSuchAttribute error";
@@ -152,13 +152,13 @@
 				throw new CqiClErrorInternal();
 			default:
 				lastError += ": Unknown error";
-				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_3+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2);
+				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPErrorDDotB1+b+CQPSearchEngineCoreMessages.b2+b2);
 			}
 
 		case 0x05:// cf cqi.h:94
 
-			lastError = CQPSearchEngineCoreMessages.MemCqiClient_2+"CQI_CQP_ERROR ("+b+")";
-			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			lastError = CQPSearchEngineCoreMessages.cQPErrorDDot+"CQI_CQP_ERROR ("+b+")";
+			Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				lastError += ": General error";
@@ -176,10 +176,10 @@
 				lastError = getLastCQPError();
 				throw new CqiCqpErrorSyntax();
 			default:
-				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_3+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2);
+				throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPErrorDDotB1+b+CQPSearchEngineCoreMessages.b2+b2);
 			}
 		default:
-			throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.MemCqiClient_10+b+CQPSearchEngineCoreMessages.MemCqiClient_9+b2);
+			throw new CqiErrorGeneralError(CQPSearchEngineCoreMessages.unknownCQPCodesDDotB1+b+CQPSearchEngineCoreMessages.b2+b2);
 		}
 		//return null;
 	}
@@ -350,7 +350,7 @@
 			throws IOException, UnexpectedAnswerException, CqiServerError {
 		Boolean ret = server.query(arg0);
 		if(ret == null || !ret) {
-			System.out.println(CQPSearchEngineCoreMessages.MemCqiClient_11);
+			System.out.println(CQPSearchEngineCoreMessages.queryError);
 			throwExceptionFromCqi(server.getErrorCode());
 		}
 	}
@@ -584,4 +584,4 @@
 		}
 		return rez;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 1335)
@@ -172,7 +172,7 @@
 	 */
 	private synchronized String readString() throws UnexpectedAnswerException, CqiServerError, IOException {
 		
-		Log.finest(CQPSearchEngineCoreMessages.READING_STRING_FROM_CQI_SERVER);
+		Log.finest(CQPSearchEngineCoreMessages.readingStringFromTheCQiServer);
 		
 		if (readHeaderFromServer() != CQI_DATA_STRING) {
 			throw new UnexpectedAnswerException();
@@ -182,7 +182,7 @@
 		this.streamFromServer.readFully(bytes);
 		String res = new String(bytes, "UTF-8"); //$NON-NLS-1$
 		
-		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_STRING_FROM_CQI_SERVER, res));
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readStringFromTheCQiServerDDotP0, res));
 		
 		return res;
 	}
@@ -202,7 +202,7 @@
 	private synchronized boolean readBoolean() throws UnexpectedAnswerException, CqiServerError, IOException {
 		byte b = 0;
 		
-		Log.finest(CQPSearchEngineCoreMessages.READING_BOOLEAN_FROM_CQI_SERVER);
+		Log.finest(CQPSearchEngineCoreMessages.readingBooleanFromTheCQiServer);
 		
 		if (readHeaderFromServer() != CQI_DATA_BOOL) {
 			throw new UnexpectedAnswerException();
@@ -210,7 +210,7 @@
 		b = this.streamFromServer.readByte();
 		boolean res = (b == 1);
 		
-		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BOOLEAN_FROM_CQI_SERVER, res));
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readBooleanFromTheCQiServerDDotP0, res));
 		
 		return res;
 	}
@@ -229,14 +229,14 @@
 	 */
 	private synchronized int readInt() throws UnexpectedAnswerException, CqiServerError, IOException {
 		
-		Log.finest(CQPSearchEngineCoreMessages.READING_INTEGER_FROM_CQI_SERVER);
+		Log.finest(CQPSearchEngineCoreMessages.readingIntegerFromTheCQiServer);
 		
 		if (readHeaderFromServer() != CQI_DATA_INT) {
 			throw new UnexpectedAnswerException();
 		}
 		int res = this.streamFromServer.readInt();
 		
-		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_INTEGER_FROM_CQI_SERVER, res));
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readIntegerFromTheCQiServerDDotP0, res));
 		
 		return res;
 	}
@@ -255,7 +255,7 @@
 	 */
 	private synchronized String[] readStringArray() throws UnexpectedAnswerException, CqiServerError, IOException {
 		
-		Log.finest(CQPSearchEngineCoreMessages.READING_STRING_ARRAY_FROM_CQI_SERVER);
+		Log.finest(CQPSearchEngineCoreMessages.readingStringArrayFromTheCQiServer);
 		
 		byte[] header = readHeaderFromServer();
 		if (header != CQI_DATA_STRING_LIST) {
@@ -299,7 +299,7 @@
 		// System.out.println(nByteRead + " bytes read in " +(end-start)+ "ms ("
 		// + (nByteRead/(1+end-start)) + "kb/s)");
 		
-		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_STRING_ARRAY_FROM_CQI_SERVER, Arrays.asList(strings)));
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readStringArrayFromTheCQiServerDDotP0, Arrays.asList(strings)));
 		
 		return strings;
 	}
@@ -354,7 +354,7 @@
 	private synchronized int[] readIntList() throws UnexpectedAnswerException,
 	CqiServerError, IOException {
 		
-		Log.finest(CQPSearchEngineCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
+		Log.finest(CQPSearchEngineCoreMessages.readingIntegerArrayFromTheCQiServer);
 		
 		if ((readHeaderFromServer()) != CQI_DATA_INT_LIST) {
 			throw new UnexpectedAnswerException();
@@ -378,7 +378,7 @@
 		 * this.streamFromServer.readInt(); }
 		 */
 		
-		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_INT_ARRAY_FROM_CQI_SERVER, Arrays.asList(ints)));
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readIntegerArrayFromTheCQiServerDDotP0, Arrays.asList(ints)));
 		
 		return ints;
 	}
@@ -438,7 +438,7 @@
 	 */
 	private synchronized int[][] readIntTable() throws UnexpectedAnswerException, CqiServerError, IOException {
 		
-		Log.finest(CQPSearchEngineCoreMessages.READING_2D_INT_ARRAY_FROM_CQI_SERVER);
+		Log.finest(CQPSearchEngineCoreMessages.readingAnIntegerTableFromTheCQiServer);
 		
 		if ((readHeaderFromServer()) != CQI_DATA_INT_TABLE) {
 			throw new UnexpectedAnswerException();
@@ -450,7 +450,7 @@
 			for (int j = 0; j < nCol; j++)
 				ints[i][j] = this.streamFromServer.readInt();
 		
-		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_2D_INT_ARRAY_FROM_CQI_SERVER, Arrays.asList(ints)));
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readString2DIntegerFromTheCQiServerDDotP0, Arrays.asList(ints)));
 		
 		return ints;
 	}
@@ -465,7 +465,7 @@
 	 */
 	private synchronized int[] readIntInt() throws IOException,	UnexpectedAnswerException, CqiServerError {
 		
-		Log.finest(CQPSearchEngineCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
+		Log.finest(CQPSearchEngineCoreMessages.readingIntegerArrayFromTheCQiServer);
 		
 		if (readHeaderFromServer() != CQI_DATA_INT_INT) {
 			throw new UnexpectedAnswerException();
@@ -474,7 +474,7 @@
 		res[0] = this.streamFromServer.readInt();
 		res[1] = this.streamFromServer.readInt();
 		
-		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_INT_ARRAY_FROM_CQI_SERVER, Arrays.asList(res)));
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readIntegerArrayFromTheCQiServerDDotP0, Arrays.asList(res)));
 		
 		return res;
 	}
@@ -489,7 +489,7 @@
 	 */
 	private synchronized int[] readIntIntIntInt() throws IOException, UnexpectedAnswerException, CqiServerError {
 		
-		Log.finest(CQPSearchEngineCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
+		Log.finest(CQPSearchEngineCoreMessages.readingIntegerArrayFromTheCQiServer);
 		
 		if (readHeaderFromServer() != CQI_DATA_INT_INT_INT_INT) {
 			throw new UnexpectedAnswerException();
@@ -500,7 +500,7 @@
 		res[2] = this.streamFromServer.readInt();
 		res[3] = this.streamFromServer.readInt();
 		
-		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_INT_ARRAY_FROM_CQI_SERVER, Arrays.asList(res)));
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.readIntegerArrayFromTheCQiServerDDotP0, Arrays.asList(res)));
 		return res;
 	}
 
@@ -518,11 +518,11 @@
 	 */
 	private synchronized byte[] readHeaderFromServer() throws UnexpectedAnswerException, CqiServerError, IOException {
 		
-		Log.finest(CQPSearchEngineCoreMessages.READING_HEADER_FROM_CQI_SERVER);
+		Log.finest(CQPSearchEngineCoreMessages.readingHeaderFromTheCQiServer);
 		
 		byte b = this.streamFromServer.readByte();
 		
-		Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+		Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 		
 		switch (b) {
 		case 0x00:// cf cqi.h:29
@@ -530,7 +530,7 @@
 		case 0x01:// cf cqi.h:37
 			b = this.streamFromServer.readByte();
 			
-			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 			
 			switch (b) {
 			case 0x01:// cf cqi.h:39
@@ -545,9 +545,9 @@
 		case 0x02:// cf cqi.h:45
 			b = this.streamFromServer.readByte();
 			
-			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 			
-			lastError = CQPSearchEngineCoreMessages.MemCqiClient_0+b;
+			lastError = CQPSearchEngineCoreMessages.internalCQIErrorDDot+b;
 			switch (b) {
 			case 0x01:// cf cqi.h:39
 				throw new CqiErrorGeneralError();
@@ -561,7 +561,7 @@
 		case 0x03:// cf cqi.h:53
 			b = this.streamFromServer.readByte();
 			
-			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 			
 			switch (b) {
 			case 0x01:// cf cqi.h:39
@@ -590,9 +590,9 @@
 		case 0x04:// cf cqi.h:67
 
 			b = this.streamFromServer.readByte();
-			lastError = CQPSearchEngineCoreMessages.MemCqiClient_1+b;
+			lastError = CQPSearchEngineCoreMessages.cLErrorDDot+b;
 			
-			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 			
 			switch (b) {
 			case 0x01:// cf cqi.h:39
@@ -614,9 +614,9 @@
 		case 0x05:// cf cqi.h:94
 
 			b = this.streamFromServer.readByte();
-			lastError = CQPSearchEngineCoreMessages.MemCqiClient_2+b;
+			lastError = CQPSearchEngineCoreMessages.cQPErrorDDot+b;
 			
-			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerDDotP0, b));
 			
 			switch (b) {
 			case 0x01:// cf cqi.h:39
@@ -739,7 +739,7 @@
 				this.socket.connect(serverAddress);
 				this.streamToServer = new DataOutputStream(this.socket.getOutputStream());
 				this.streamFromServer = new DataInputStream(this.socket.getInputStream());
-				Log.info(CQPSearchEngineCoreMessages.CqiClient_32);
+				Log.info(CQPSearchEngineCoreMessages.searchEngineLaunched);
 				return;
 			} catch (IOException e) {
 				System.err.print("."); //$NON-NLS-1$
@@ -751,7 +751,7 @@
 
 			attempts--;
 		}
-		throw new ServerNotFoundException(CQPSearchEngineCoreMessages.CqiClient_33);
+		throw new ServerNotFoundException(CQPSearchEngineCoreMessages.failedToConnectToSearchEngine);
 	}
 
 	// CQI_ERROR_CONNECT_REFUSED
@@ -770,14 +770,14 @@
 		this.username = username;
 		this.password = password;
 		
-		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.CONNECTING_CQI_CLIENT, username, password, host, port));
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.connectingToTheSearchEngineWithTheFollowingParametersDDotP0DDotP1AtP2P3, username, password, host, port));
 		
 		this.streamToServer.write(CQI_CTRL_CONNECT);
 		this.writeString(username);
 		this.writeString(password);
 		try {
 			readHeaderFromServer();
-			Log.finest(CQPSearchEngineCoreMessages.CQI_CLIENT_CONNECTED);
+			Log.finest(CQPSearchEngineCoreMessages.connectedToTheSearchEngine);
 			return true;
 		} catch (CqiErrorConnectRefused e) {
 			return false;
@@ -811,7 +811,7 @@
 		if(lastError != null && lastError.length() > 0) {
 			return lastError;
 		}
-		return CQPSearchEngineCoreMessages.AbstractCqiClient_2;
+		return CQPSearchEngineCoreMessages.noError;
 	}
 
 	// CQI_CTRL_LAST_GENERAL_ERROR
@@ -826,7 +826,7 @@
 	@Override
 	public synchronized String getLastCqiError() throws UnexpectedAnswerException, IOException, CqiServerError {
 		
-		Log.severe(CQPSearchEngineCoreMessages.CqiClient_0);
+		Log.severe(CQPSearchEngineCoreMessages.gettingLastCQPError);
 		
 		this.streamToServer.write(CQI_CTRL_LAST_GENERAL_ERROR);
 
@@ -834,7 +834,7 @@
 			String ret = readString();
 			return getLastCQPError()+"\t"+ret; //$NON-NLS-1$
 		} catch (CqiServerError e) {
-			Log.severe(CQPSearchEngineCoreMessages.NetCqiClient_1 + e);
+			Log.severe(CQPSearchEngineCoreMessages.lastCQiErrorDDot + e);
 			return "error"; //$NON-NLS-1$
 		}
 	}
@@ -855,7 +855,7 @@
 			String ret = readString();
 			return ret;
 		} catch (Exception e) {
-			Log.severe(CQPSearchEngineCoreMessages.NetCqiClient_3 + e);
+			Log.severe(CQPSearchEngineCoreMessages.lastCQPErrorDDot + e);
 			return "error"; //$NON-NLS-1$
 		}
 	}
@@ -1572,7 +1572,7 @@
 		try {
 			return connect(username, password);
 		} catch (Exception e) {
-			System.out.println(CQPSearchEngineCoreMessages.NetCqiClient_5+e);
+			System.out.println(CQPSearchEngineCoreMessages.couldNotReconnectToServerDDot+e);
 			return false;
 		}
 	}
@@ -1739,7 +1739,7 @@
 		} catch(Exception e) { System.out.println("Exception : "+e);} //$NON-NLS-1$
 
 		try {
-			System.out.println(CQPSearchEngineCoreMessages.NetCqiClient_97+Arrays.toString(client.dumpSubCorpus(subcorpusid, NetCqiClient.CQI_CONST_FIELD_MATCH, 1, 10)));
+			System.out.println(CQPSearchEngineCoreMessages.clientdumpSubCorpussubcorpusNetCqiClientCQICONSTFIELDMATCH12DDot+Arrays.toString(client.dumpSubCorpus(subcorpusid, NetCqiClient.CQI_CONST_FIELD_MATCH, 1, 10)));
 		} catch(Exception e) { System.out.println("Exception : "+e);} //$NON-NLS-1$
 
 		try {
@@ -1927,4 +1927,4 @@
 		server.stop();
 		
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/QueryResult.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/QueryResult.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/QueryResult.java	(revision 1335)
@@ -115,7 +115,7 @@
 	@Override
 	public boolean checkCqpId(String cqpId) throws InvalidCqpIdException {
 		if (!AbstractCqiClient.checkSubcorpusId(cqpId))
-			throw new InvalidCqpIdException(cqpId + TXMCoreMessages.QueryResult_0);
+			throw new InvalidCqpIdException(cqpId + TXMCoreMessages.isNotAValidCQPIdForASubcorpusItMustBeAnUppercaseCharactersFollowedByLowercaseCharacters);
 		return true;
 	}
 
@@ -388,4 +388,4 @@
 	public boolean isTargetUsed() throws UnexpectedAnswerException, IOException, CqiServerError {
 		return CQPSearchEngine.getCqiClient().subCorpusHasField(this.getQualifiedCqpId(), ICqiClient.CQI_CONST_FIELD_TARGET);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CorpusManager.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CorpusManager.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CorpusManager.java	(revision 1335)
@@ -91,7 +91,7 @@
 	 */
 	public static CorpusManager getCorpusManager() {
 		if (cqiClient == null)
-			throw new RuntimeException(TXMCoreMessages.CorpusManager_0);
+			throw new RuntimeException(TXMCoreMessages.cQiClientNotInitialized);
 		if (corpusManager == null)
 			corpusManager = new CorpusManager();
 		return corpusManager;
@@ -189,7 +189,7 @@
 				MainCorpus c = this.getCorpus(corporaName[i]);
 				if (c != null) corpora.add(c);
 			} catch (InvalidCqpIdException e) {
-				throw new CqiClientException(TXMCoreMessages.CorpusManager_1, e);
+				throw new CqiClientException(TXMCoreMessages.errorDDotThisExceptionShouldNotBeThrown, e);
 			}
 		}
 		
@@ -232,4 +232,4 @@
 			}
 		}
 	}
-}
+}
\ No newline at end of file
